Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 816963 - [TestRun]When uploading a big attachment to a case run, "The connection is reset"
Summary: [TestRun]When uploading a big attachment to a case run, "The connection is re...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.7.0
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
: 3.8.0
Assignee: Yang Ren
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-27 11:15 UTC by Guoping Feng
Modified: 2016-05-26 13:20 UTC (History)
5 users (show)

Fixed In Version: 3.8.0-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
"The connection is reset" (deleted)
2012-04-27 11:15 UTC, Guoping Feng
no flags Details
connection is reset (deleted)
2012-07-25 09:09 UTC, xubai
no flags Details

Description Guoping Feng 2012-04-27 11:15:47 UTC
Created attachment 580733 [details]
"The connection is reset"

Description of problem:
When uploading a big attachment to a case run, after a long time, the response of "The connection is reset" is given.

Version-Release number of selected component (if applicable):
tcms-stage - 3.7.0-1

How reproducible:
100%

Steps to Reproduce:
1.Enter into a run.
2.Choose a case run and click Attachment "Add".
3.Choose a big attachment like 50M, then "Upload".
  
Actual results:
After a long time, the response of "The connection is reset" is given.

Expected results:
Uploaded successfully or Give warning that "The attachment is too big" to remind user the maximum size of the attachment that is required.

Additional info:

Comment 1 yawei Li 2012-05-16 08:07:18 UTC
provide warning info if the size is bigger than the limitation.

Comment 2 Xiangyang Chu 2012-07-20 04:56:06 UTC
Thanks to HTML5 and jQuery we now can easy check the attachment's size before post to the server side.

Comment 3 xubai 2012-07-25 09:09:57 UTC
Created attachment 600246 [details]
connection is reset

Verify 3.8.0-1   --> FAIL

Description:
The bug is still existed. It cannot remind the user that the attachment is bigger than the limitation. And it shows the error page after uploading a too big file.

Verify steps:
1.Enter into a run.
2.Choose a case run and click Attachment "Add".
3.Choose a big attachment like 50M, then "Upload".

Actual results:
After a long time, the response of "The connection is reset" is given.

Expected results:
Uploaded successfully or Give warning that "The attachment is too big" to remind user the maximum size of the attachment that is required.

Comment 4 Xiangyang Chu 2012-07-26 04:36:14 UTC
(In reply to comment #3)
> Created attachment 600246 [details]
> connection is reset
> 
> Verify 3.8.0-1   --> FAIL

Thanks for testing, and it's my mistake that I *only* added size-check on plan's attachment. 

Have fixed, can verify it in next build.

Comment 5 xubai 2012-07-31 06:37:34 UTC
Verify 3.8.0-2 on stage --> PASS

Verify steps:
1.Enter into a run.
2.Choose a case run and click Attachment "Add".
3.Choose a big attachment like 50M, then "Upload".

Actual results:
When the file is too big, it gives the warning.


Note You need to log in before you can comment on or make changes to this bug.